.about {
    padding-top: 70px;
    background-color: var(--main-color);
    display: flex;
    flex-direction: column;
    align-items: center;
}

.about h1 {
    color: white;
    font-family: orbitron, sans-serif;
    font-size: 40px;
    text-align: center;
    padding-top: 30px;
    text-shadow: 0 0 50px rgba(255, 255, 255, 0.541);
    position: relative;
}

.about h1::before {
    content: "";
    width: 100%;
    height: 5px;
    left: 0;
    bottom: -10px;
    background: linear-gradient(to right, white, black);
    position: absolute;
}

.about-container {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 50px;
    padding: 60px 20px;
    width: 1250px;
    margin: 0 auto;
}

.about-img {
    width: 100%;
    max-width: 400px;
    height: 260px;
}

.about-text {
    width: 100%;
    max-width: 700px;
    height: auto;
    min-height: 260px;
}

.about-img {
    border-radius: 20px;
    background-image: url(../imgs/three%20hobby.png);
    background-position: top;
    background-size: cover;
}

.about-text {
    color: white;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 16px;
    width: 700px;
    display: flex;
    text-align: left;
    align-items: center;
    line-height: 2;
}




.our-story {
    background-color: var(--secondary-color);
    display: flex;
    flex-direction: column;
    align-items: center;
}

.our-story h1 {
    font-family: orbitron, sans-serif;
    color: white;
    font-size: 40px;
    padding-top: 30px;
    text-shadow: var(--title-light);
    position: relative;
}

.our-story h1::before {
    content: "";
    width: 100%;
    height: 5px;
    left: 0;
    bottom: -10px;
    background: linear-gradient(to right, white, black);
    position: absolute;
}

.our-story p {
    color: white;
    font-family: Arial, Helvetica, sans-serif;
    text-align: center;
    margin: 40px;
    font-size: 18px;
    max-width: 85%;
    line-height: 2;
}




.team-section {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background-color: var(--main-color);
}

.team-section h1 {
    font-family: orbitron, sans-serif;
    color: white;
    font-size: 40px;
    padding-top: 30px;
    text-shadow: var(--title-light);
    position: relative;
}

.team-section h1::before {
    content: "";
    width: 100%;
    height: 5px;
    left: 0;
    bottom: -10px;
    background: linear-gradient(to right, white, black);
    position: absolute;
}

.profile-container {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 40px;
    gap: 70px;
    flex-wrap: wrap;
}

.profile {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 7px;
}

.profile .img {
    width: 125px;
    height: 125px;
    border-radius: 50%;
    background-color: white;
    background-position: center;
    background-size: cover;
}

#artist {
    background-image: url("../imgs/Abanoub%20(1).webp");
}

#dev {
    background-image: url(../imgs/dev.jpg);
}

#ltf {
    background-image: url(../imgs/sound%20ltf.jpg);
}

.profile .name {
    font-size: 20px;
    font-weight: bold;
}

.profile .job {
    font-size: 17px;
}

.team-section p {
    font-family: kanit, sans-serif;
    color: white;
}




.about-team {
    background-color: var(--secondary-color);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 40px;
}

.profile-group {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 30px;
    margin: 10px;
    flex-wrap: wrap;
}

.about-team .img {
    width: 111px;
    height: 111px;
    border-radius: 50%;
    background-size: cover;
    background-position: center;
}

.field {
    display: flex;
    flex-direction: column;
    width: 100%;
    max-width: 758px;
    height: auto;
    min-height: 153px;
    border-radius: 20px;
    border: var(--border-color) 3px solid;
    background: var(--field-color);
    padding: 20px;
    font-family: kanit, sans-serif;
    color: white;
    gap: 5px;
}

#reverse {
    flex-direction: row-reverse;
}

.field .title {
    font-size: 16px;
}

.field .description {
    font-size: 13px;
    line-height: 2;
}

.field span {
    font-size: 20px;
    font-weight: 500;
}




.our-vision {
    background-color: var(--main-color);
    color: white;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.our-vision h1 {
    font-family: orbitron, sans-serif;
    font-size: 40px;
    padding-top: 30px;
    text-shadow: var(--title-light);
    position: relative;
}

.our-vision h1::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 5px;
    left: 0;
    background: linear-gradient(to right, white, black);
    bottom: -10px;
}

.vision-field {
    display: flex;
    margin: 40px 20px;
    align-items: center;
    gap: 70px;
    flex-wrap: wrap;
    justify-content: center;
}

.vision-field .text {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    gap: 15px;
}

.vision-field h2 {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 27px;
    text-shadow: var(--title-light);
}

.vision-field p {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 20px;
    max-width: 700px;
    line-height: 2;
}

.vision-field :first-child {
    text-align: center;
}

.vision-field .img {
    width: 210px;
    height: 198px;
    background-color: white;
    border-radius: 20px;
}

#abanoub-art {
    background-image: url(../imgs/Abanoub%20Art.jpg);
    background-size: cover;
    background-position: center;
}

#joseph-dev {
    background-image: url(../imgs/Joseph_Dev.jpg);
    background-size: cover;
    background-position: top;
}

#ltfuture {
    background-image: url(../imgs/LTFuture.jpg);
    background-size: cover;
    background-position: center;
}

#art-vision {
    flex-direction: row-reverse;
}

#music-vision {
    flex-direction: row-reverse;
}

#art-vision .text,
#dev-vision .text,
#music-vision .text {
    align-items: flex-start;
}

/* About Page Media Queries */
@media (max-width: 768px) {
    .about-container {
        width: 100%;
        flex-wrap: wrap;
        gap: 30px;
    }

    .about-text {
        width: 100%;
        max-width: 700px;
        text-align: center;
    }

    .about h1,
    .our-story h1,
    .team-section h1,
    .our-vision h1 {
        font-size: 30px;
    }

    .about-text {
        font-size: 14px;
        padding: 0 20px;
    }

    .our-story p {
        font-size: 16px;
        margin: 20px;
    }

    .profile-container {
        gap: 30px;
    }

    .vision-field {
        gap: 30px;
    }
}

@media (max-width: 480px) {

    .about h1,
    .our-story h1,
    .team-section h1,
    .our-vision h1 {
        font-size: 24px;
    }

    .profile-group {
        flex-direction: column;
    }

    .vision-field .text p {
        font-size: 16px;
    }
}